package cn.iocoder.yudao.module.system.dal.mysql.yk;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.yk.vo.YkBalanceRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.yk.YkElderlyExpenseRecordDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 颐康中心长者费用变动记录 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface YkElderlyExpenseRecordMapper extends BaseMapperX<YkElderlyExpenseRecordDO> {

    default PageResult<YkElderlyExpenseRecordDO> selectPage(YkBalanceRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<YkElderlyExpenseRecordDO>()
                .eqIfPresent(YkElderlyExpenseRecordDO::getYkElderId, reqVO.getElderId())
                .betweenIfPresent(YkElderlyExpenseRecordDO::getMealTime, reqVO.getQueryTime())
                .eqIfPresent(YkElderlyExpenseRecordDO::getTenantId, reqVO.getTenantIds())
                .eqIfPresent(YkElderlyExpenseRecordDO::getPayType,reqVO.getPayType())
                .orderByDesc(YkElderlyExpenseRecordDO::getMealTime));
    }


}